Subject: Re: [Xen-devel] [PATCH] xen-netback: Turn off the carrier if the guest is not able to receive

From: Stephen Hemminger <[email-masked]>
Date: Fri, 8 Aug 2014 09:33:56 -0700

This idea of bouncing carrier is wrong. If guest is flow blocked you don't
want to toggle carrier. That will cause problems because applications that are
looking for carrier transistions like routing daemons will be notified.

If running a routing daemon this will also lead to link flapping which
is very bad and cause lots of other work for peer routing daemons.

Carrier is not a suitable flow control mechanism.